### Method

# Ide TestManager get_folders

#### Declaration

    gchar**
    ide_test_manager_get_folders (
      IdeTestManager* self,
      const gchar* path
    )

#### Description

Gets the sub-paths of `path` that are not individual tests.

Available since: | 3.32

#### Parameters

`path` | `const gchar*`
| The path to the test or `NULL` for the root path.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`
| An array of strings describing available sub-paths to `path`.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.